Debian Bug report logs - #711158
ITP: mediawiki2latex -- Compile MediaWiki page via LaTeX to PDF

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Dirk Hünniger <dirk.hunniger@googlemail.com>

Date: Wed, 5 Jun 2013 05:51:01 UTC

Owned by: "Dirk Hünniger" <dirk.hunniger@googlemail.com>

Severity: wishlist

Fixed in version mediawiki2latex/6.4-3

Done: Dirk Huenniger <dirk.hunniger@googlemail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, dirk.hunniger@googlemail.com, debian-devel@lists.debian.org, wnpp@debian.org, "Dirk Hünniger" <dirk.hunniger@googlemail.com>:
Bug#711158; Package wnpp. (Wed, 05 Jun 2013 05:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dirk Hünniger <dirk.hunniger@googlemail.com>:
New Bug report received and forwarded. Copy sent to dirk.hunniger@googlemail.com, debian-devel@lists.debian.org, wnpp@debian.org, "Dirk Hünniger" <dirk.hunniger@googlemail.com>. (Wed, 05 Jun 2013 05:51:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dirk Hünniger <dirk.hunniger@googlemail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: mediawiki2latex -- Compile MediaWiki page via LaTeX to PDF
Date: Wed, 05 Jun 2013 07:49:58 +0200
Package: wnpp
Severity: wishlist
Owner: "Dirk Hünniger" <dirk.hunniger@googlemail.com>

* Package name    : mediawiki2latex
  Version         : 6.4
  Upstream Author : Dirk Hünniger <dirk.hunniger@googlemail.com>
* URL             : http://de.wikibooks.org/wiki/Benutzer:Dirk_Huenniger/wb2pdf
* License         : GPL
  Programming Lang: Haskell
  Description     : Compile MediaWiki pages via LaTeX to PDF



Added blocking bug(s) of 711158: 711191 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Wed, 05 Jun 2013 16:27:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Dirk Hünniger" <dirk.hunniger@googlemail.com>:
Bug#711158; Package wnpp. (Fri, 07 Jun 2013 09:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Georges Khaznadar <georges.khaznadar@free.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Dirk Hünniger" <dirk.hunniger@googlemail.com>. (Fri, 07 Jun 2013 09:27:09 GMT) Full text and rfc822 format available.

Message #12 received at 711158@bugs.debian.org (full text, mbox):

From: Georges Khaznadar <georges.khaznadar@free.fr>
To: Dirk Hünniger <dirk.hunniger@googlemail.com>, 711158@bugs.debian.org
Subject: Re: Bug#711158: ITP: mediawiki2latex -- Compile MediaWiki page via LaTeX to PDF
Date: Fri, 7 Jun 2013 11:26:56 +0200
[Message part 1 (text/plain, inline)]
Hello Dirk,

thank you for your ITP.

I had authored another package with neighbouring intentions:
http://packages.debian.org/wheezy/uicilibris

Its main feature is to create a book from one mediawiki page gathering
wikilinks to other pages in a sequence. There is a plugin system which
allows one to develop some snippets of code to translate mediawiki
models into LaTeX macros which provide a more specific layout.

Can we work together one some common aspects of our projects?

Best regards,			Georges.

Dirk Hünniger a écrit :
> Package: wnpp
> Severity: wishlist
> Owner: "Dirk Hünniger" <dirk.hunniger@googlemail.com>
> 
> * Package name    : mediawiki2latex
>   Version         : 6.4
>   Upstream Author : Dirk Hünniger <dirk.hunniger@googlemail.com>
> * URL             : http://de.wikibooks.org/wiki/Benutzer:Dirk_Huenniger/wb2pdf
> * License         : GPL
>   Programming Lang: Haskell
>   Description     : Compile MediaWiki pages via LaTeX to PDF
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/20130605054958.4359.4130.reportbug@debian
> 
> 

-- 
Georges KHAZNADAR et Jocelyne FOURNIER
22 rue des mouettes, 59240 Dunkerque France.
Téléphone +33 (0)3 28 29 17 70

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Dirk Hünniger" <dirk.hunniger@googlemail.com>:
Bug#711158; Package wnpp. (Fri, 07 Jun 2013 10:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dirk Hünniger <dirk.hunniger@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Dirk Hünniger" <dirk.hunniger@googlemail.com>. (Fri, 07 Jun 2013 10:06:04 GMT) Full text and rfc822 format available.

Message #17 received at 711158@bugs.debian.org (full text, mbox):

From: Dirk Hünniger <dirk.hunniger@googlemail.com>
To: Georges Khaznadar <georges.khaznadar@free.fr>
Cc: 711158@bugs.debian.org
Subject: Re: Bug#711158: ITP: mediawiki2latex -- Compile MediaWiki page via LaTeX to PDF
Date: Fri, 07 Jun 2013 12:03:30 +0200
Hello,
I am very happy that you offer to work together with me. But to be ones 
I think it will work. I appricate your work. But I am so bold to say 
that I think my program can do better. I use my program to make two pdfs 
for example.

http://upload.wikimedia.org/wikipedia/commons/2/26/Haskell.pdf
http://upload.wikimedia.org/wikipedia/commons/2/2d/LaTeX.pdf

And I didn't do any manual postprocessing in the latex code.

And I think you can not do that with your program. If I am right in this 
point it does make much sense if I help you with your program. And I 
also think you can not help me with mine since it is written purely in 
Haskell and Haskell is a very hard to learn programming language. I 
needed year for learning it. So I hope I didn't make you too unhappy 
with that email. I am nevertheless happy to hear from you.
Yours Dirk

On 06/07/2013 11:26 AM, Georges Khaznadar wrote:
> Hello Dirk,
>
> thank you for your ITP.
>
> I had authored another package with neighbouring intentions:
> http://packages.debian.org/wheezy/uicilibris
>
> Its main feature is to create a book from one mediawiki page gathering
> wikilinks to other pages in a sequence. There is a plugin system which
> allows one to develop some snippets of code to translate mediawiki
> models into LaTeX macros which provide a more specific layout.
>
> Can we work together one some common aspects of our projects?
>
> Best regards,			Georges.
>
> Dirk Hünniger a écrit :
>> Package: wnpp
>> Severity: wishlist
>> Owner: "Dirk Hünniger" <dirk.hunniger@googlemail.com>
>>
>> * Package name    : mediawiki2latex
>>    Version         : 6.4
>>    Upstream Author : Dirk Hünniger <dirk.hunniger@googlemail.com>
>> * URL             : http://de.wikibooks.org/wiki/Benutzer:Dirk_Huenniger/wb2pdf
>> * License         : GPL
>>    Programming Lang: Haskell
>>    Description     : Compile MediaWiki pages via LaTeX to PDF
>>
>>
>> -- 
>> To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
>> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
>> Archive: http://lists.debian.org/20130605054958.4359.4130.reportbug@debian
>>
>>




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 14 Jun 2013 20:06:16 GMT) Full text and rfc822 format available.

Reply sent to Dirk Huenniger <dirk.hunniger@googlemail.com>:
You have taken responsibility. (Wed, 07 Aug 2013 23:03:53 GMT) Full text and rfc822 format available.

Notification sent to Dirk Hünniger <dirk.hunniger@googlemail.com>:
Bug acknowledged by developer. (Wed, 07 Aug 2013 23:03:53 GMT) Full text and rfc822 format available.

Message #24 received at 711158-close@bugs.debian.org (full text, mbox):

From: Dirk Huenniger <dirk.hunniger@googlemail.com>
To: 711158-close@bugs.debian.org
Subject: Bug#711158: fixed in mediawiki2latex 6.4-3
Date: Wed, 07 Aug 2013 23:00:16 +0000
Source: mediawiki2latex
Source-Version: 6.4-3

We believe that the bug you reported is fixed in the latest version of
mediawiki2latex, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 711158@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dirk Huenniger <dirk.hunniger@googlemail.com> (supplier of updated mediawiki2latex package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 08 Jun 2013 13:23:34 +0200
Source: mediawiki2latex
Binary: mediawiki2latex
Architecture: source amd64
Version: 6.4-3
Distribution: unstable
Urgency: low
Maintainer: Dirk Huenniger <dirk.hunniger@googlemail.com>
Changed-By: Dirk Huenniger <dirk.hunniger@googlemail.com>
Description: 
 mediawiki2latex - Loads pages from MediaWiki and converts to LaTeX and PDF
Closes: 711158
Changes: 
 mediawiki2latex (6.4-3) unstable; urgency=low
 .
   * Initial release. (Closes: #711158)
Checksums-Sha1: 
 fce746c00922f69f92313f8937ad9b0752060f24 1451 mediawiki2latex_6.4-3.dsc
 83f45ae7e23fcd7dae29191cd39a16256d37cf5f 157395 mediawiki2latex_6.4.orig.tar.gz
 c0b3250732d9dcfb6d874a8056c6edbd876b438f 2179 mediawiki2latex_6.4-3.debian.tar.gz
 2e4f5d3394ebb38de27cdf35fee7964c016d7fd5 3067210 mediawiki2latex_6.4-3_amd64.deb
Checksums-Sha256: 
 637465e8bf48ae3091d574670e9ebcbb74942c812d3050234017aea8ed8a82e7 1451 mediawiki2latex_6.4-3.dsc
 19ffc8547f6bb2ee73e2b56b21c8e93c2367635cdfc017e1c6303e88a9b95d11 157395 mediawiki2latex_6.4.orig.tar.gz
 b7f2e8b2e7811d3954f19d1d0e3f8864dd9479efc4516fa8742e95bc4cf498d9 2179 mediawiki2latex_6.4-3.debian.tar.gz
 03188db2d97eb55a49d901a5f64d85d87318eefbb0f3184f9d4d40a845863257 3067210 mediawiki2latex_6.4-3_amd64.deb
Files: 
 8b1ea3101ca5e0d38308aad316f1a5a8 1451 misc optional mediawiki2latex_6.4-3.dsc
 65d410f9ca46edfef62f1d9818dc33c0 157395 misc optional mediawiki2latex_6.4.orig.tar.gz
 4399f649b9487d2754bf3e73bb50f35d 2179 misc optional mediawiki2latex_6.4-3.debian.tar.gz
 8e3ddaae97d55e1bfff143f6647e00db 3067210 misc optional mediawiki2latex_6.4-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlG7cqIACgkQ9ijrk0dDIGxoiQCgwcIsUGbF739CUx4N1WdowfV5
sXEAniyXUijDYM5h2Ug4wKl0XQlbplw4
=yNJ8
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 05 Sep 2013 07:32:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 10:58:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.